# $Revision: 1.32 $, $Date: 2004/05/07 01:25:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Async
%define		pnam	Group
Summary:	Async::Group - Perl class to deal with simultaneous asynchronous calls
Summary(pl):	Async::Group - klasa Perla do obsugi jednoczesnych wywoa asynchronicznych
Name:		perl-Async-Group
Version:	0.3
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9a18d7ef93a00825ad8d7df2ef65c7cc
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Async::Group is a Perl class which enables you to call several
asynchronous routines.  Each routine may have their own callback. When
all the routine are over (i.e. all their callback were called),
Async::Group will call the global callback given by the user.

%description -l pl
Async::Group to klasa Perla umoliwiajca wywoywanie kilku
asynchronicznych podprogramw. Kady z nich moe mie swoje wasne
poczenie zwrotne. Gdy wszystkie te podprogramy si zakocz (tzn.
zostan wywoane ich poczenia zwrotne), Async::Group wywoa globalne
poczenie zwrotne podane przez uytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Async
%{perl_vendorlib}/Async/Group.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Async-Group.spec,v $
Revision 1.32  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.31  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 07:37:53  ankry
- tests added

Revision 1.29  2004/04/16 17:22:27  ankry
- better(?) description, license fix

Revision 1.28  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:26:09  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 01:41:42  kloczek
- cosmetics.

Revision 1.16  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:05:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:24:04  depesz
adapterized

Revision 1.13  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:05:10  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/27 18:03:37  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release

